Bug 1191545 - Tunir
Summary: Tunir
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Pete Travis
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:31 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:39 UTC
Type: ---


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:31:59 UTC
This is a tracking bug for Change: Tunir
For more details, see: https://fedoraproject.org//wiki/Changes/tunir

Tunir is a self contained CI Continuous Integration which will be used to test Fedora Cloud images nightly. This tool can be used separately by any developer in their Fedora 21 system to run/test their local
tests/jobs.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:48 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 kushaldas@gmail.com 2015-02-23 13:42:51 UTC
I am having a review request open in https://bugzilla.redhat.com/show_bug.cgi?id=1184446 for Tunir.

Comment 3 Pete Travis 2015-03-10 05:53:00 UTC
I've made some notes on this at https://fedoraproject.org/wiki/Documentation_Cloud_Beat - it would also be nice to reference some examples of test jobs, if you have them available.

Comment 4 Jaroslav Reznik 2015-03-24 11:41:47 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 5 Jaroslav Reznik 2015-03-31 07:58:53 UTC
Based on change page, this change is completed. Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.